%define major		0
%define libname		%mklibname pciaccess %{major}
%define develname	%mklibname pciaccess -d

Name:		libpciaccess
Version:	0.16
Release:	%mkrel 2
Summary:	Generic PCI access library (from X.org)
Group:		Development/X11
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
License:	MIT
BuildRequires:	pciids

%description
A generic PCI access library from X.org.

%package -n	%{libname}
Summary:	Generic PCI access library (from X.org)
Group:		Development/X11

%description -n	%{libname}
A generic PCI access library from X.org.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
A generic PCI access library from X.org. Development headers and
libraries.

%prep
%setup -q

%build
%configure --with-pciids-path=%{_datadir} --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.16-2.mga8
+ Revision: 1527851
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 26 2019 daviddavid <daviddavid> 0.16-1.mga8
+ Revision: 1424202
- new version: 0.16

* Sat Jul 13 2019 daviddavid <daviddavid> 0.15-1.mga8
+ Revision: 1420905
- new version: 0.15

* Sun Sep 23 2018 umeabot <umeabot> 0.14-2.mga7
+ Revision: 1299087
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Nov 04 2017 tv <tv> 0.14-1.mga7
+ Revision: 1175774
- new release

* Tue May 16 2017 luigiwalser <luigiwalser> 0.13.5-1.mga6
+ Revision: 1102222
- 0.13.5

* Mon Feb 15 2016 umeabot <umeabot> 0.13.4-2.mga6
+ Revision: 961158
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 tv <tv> 0.13.4-1.mga6
+ Revision: 836080
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.13.2-4.mga5
+ Revision: 740897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.2-3.mga5
+ Revision: 681704
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.13.2-2.mga4
+ Revision: 530478
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 luigiwalser <luigiwalser> 0.13.2-1.mga4
+ Revision: 457733
- 0.13.2

* Sat Jan 12 2013 umeabot <umeabot> 0.13.1-2.mga3
+ Revision: 357956
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 tv <tv> 0.13.1-1.mga3
+ Revision: 249345
- new release

* Mon Mar 05 2012 fwang <fwang> 0.13-1.mga2
+ Revision: 218356
- new version 0.13

* Sun Jan 29 2012 tv <tv> 0.12.902-1.mga2
+ Revision: 203089
- new release

* Thu Apr 14 2011 tv <tv> 0.12.1-1.mga1
+ Revision: 84861
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 0.12.0-1.mga1
+ Revision: 6029
- imported package libpciaccess


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.12.0-1mdv2011.0
+ Revision: 556458
- new release

* Tue Dec 15 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.11.0-1mdv2010.1
+ Revision: 478907
- New version: 0.11.0

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 0.10.9-1mdv2010.0
+ Revision: 448835
- new release

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 0.10.8-1mdv2010.0
+ Revision: 422871
- new release

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.10.6-1mdv2010.0
+ Revision: 369178
- New version 0.10.6

* Sat Nov 01 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.5-1mdv2009.1
+ Revision: 299140
- New version: 0.10.5

* Mon Oct 20 2008 Thierry Vignaud <tv@mandriva.org> 0.10.4-1mdv2009.1
+ Revision: 295703
- new release

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.10.3-2mdv2009.0
+ Revision: 264884
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.3-1mdv2009.0
+ Revision: 217879
- New version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.2-1mdv2009.0
+ Revision: 211771
- New version

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 0.10-1mdv2009.0
+ Revision: 192983
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.
    - Maybe a version 0.10.0 will be made available soon, but for the moment
      just recompile. A build with it enable should be made available for testing
      as it requires rebuild or X Server and modules, and breaks compatibility
      of older modules.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 150768
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Thierry Vignaud <tv@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 72585
- new release

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.0-0.20070804.3mdv2008.0
+ Revision: 58978
- devel package requires lib package (i'll forget my own head next)

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.0-0.20070804.2mdv2008.0
+ Revision: 58966
- add a -devel provides

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.0-0.20070804.1mdv2008.0
+ Revision: 58948
- Import libpciaccess

